## autotools-dev 20050422.1

=== config/Makefile ===
SHELL=/usr/pkg/bin/bash
UPLOAD=ftp://ftp-upload.gnu.org/incoming/ftp/

all:
	@echo "Type 'make upload' to upload to the GNU FTP server."

upload:
	gpg --detach-sign config.guess 
	gpg --detach-sign config.sub
	echo "directory: config" | gpg --clearsign > config.guess.directive.asc
	cp config.guess.directive.asc config.sub.directive.asc
	ftp -a -u $(UPLOAD) config.{guess,sub}{,.sig,.directive.asc}
	rm config.{guess,sub}{.sig,.directive.asc}

check:
	cd testsuite && (sh config-sub.sh; sh config-guess.sh) && rm uname

## autotools-dev 20020320.1

=== debian/changelog ===
autotools-dev (20020320.1) unstable; urgency=medium

  * Sync to CVS 20020320 (config.sub 20020307; config.guess 20020320)
    + config.guess (ia64:Linux:*:*): Output "ia64-unknown-linux-gnu"
    + config.guess (set_cc_for_build): Add c99 to list of candidates

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  1 Apr 2002 09:12:05 -0300

autotools-dev (20020306.1) unstable; urgency=low

  * Sync to CVS 20020306 (config.sub 20020307; config.guess 20020304)
    + config.sub: Add support for mipsisa64

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 10 Mar 2002 23:20:21 -0300

autotools-dev (20020222.2) unstable; urgency=critical

  * Fix extreme bogosity in README.Debian, on advice by autoconf
    upstream.  It appears the autoconf 2.52 docs are very bogus indeed...
    It would also break in autoconf 2.13-generated scripts, and cause
    2.52 to half-enter crosscompiling mode (don't ask, it is too ugly a
    tale, dwelling on half-done compatibility code left in 2.52, bad
    docs, and sour wine).  I just hope the bad stuff didn't make it to
    other packages...
  * Urgency critical because I only changed text files, and I want the
    correct docs in place ASAP to avoid snowball effects.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  4 Mar 2002 21:02:42 -0300

autotools-dev (20020222.1) unstable; urgency=high

  * Sync to CVS 20020222 (config.sub 20020222; config.guess 20020219)
    + config.sub (case $basic_machine): Add mips and clean up other
      Linux specific cases. Now `config.sub mips` yields mips-unknown-elf
    + config.guess: Set LC_ALL, not LANG, when running ld --help.
  * Add configurewrapper wrapper (_that does nothing_) to make sure
    woody has one, just in case we need it later (and there is a very high
    chance that we will)
  * Add pointer to GNU config CVS to upstream.mail.template

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 24 Feb 2002 08:54:04 -0300

autotools-dev (20020201.1) unstable; urgency=low
  * Sync to CVS 20020201 (config.sub 20020201; config.guess 20020130)
    + config.sub (sh64, sh64-*): Add new machine.
  * Updates to README.Debian, dealing with the invocation of configure
    scripts, and the symlink to /usr/share/misc/config.{sub,guess} method

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  8 Feb 2002 14:51:51 -0200

autotools-dev (20020131.1) unstable; urgency=medium

  * Sync to CVS 20020131 (config.sub 20020201; config.guess 20020130)
    + config.guess (i*86:Linux:*:*): Fixed: export LANG=C before
      running ld so that linker output can be assumed to be in English,
      and it works with non-default locales.
  * Rework README.Debian a bit, to increase changes of people reading
    what really needs to be read.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  1 Feb 2002 09:14:34 -0200

autotools-dev (20020102.1) unstable; urgency=high

  * Sync to CVS 20020102 (config.sub 20020102; config.guess 20020102)
    + config.sub (alpha64*): New basic_machine
  * debian/rules(cvsfetch) New upstream CVS location
  * Proper config.guess support for new 2.4.x procinfo for mips, mipsel,
    however if you need this it means you are doing it wrong. You should
    use dpkg-architecture, please refer to README.Debian -- which will
    skip the config.guess call.  This fix must make it to testing ASAP  
    (closes: #127538)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu,  3 Jan 2002 08:23:16 -0200

autotools-dev (20011130.1) unstable; urgency=low

  * Sync to CVS 20011130 (config.sub 20011130; config.guess 20011126)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun,  2 Dec 2001 10:44:22 -0200

autotools-dev (20011116.1) unstable; urgency=low

  * Sync to CVS 20011116 (config.sub 20011121; config.guess 20011108)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 24 Nov 2001 14:56:38 -0200

autotools-dev (20011108.1) unstable; urgency=low

  * Sync to CVS 20011108 (config.sub 20011108; config.guess 20011108)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 11 Nov 2001 00:37:45 -0200

autotools-dev (20011005.2) unstable; urgency=low

  * Fix typos in README.Debian; Thanks to Florian Hinzmann
    <f.hinzmann@hamburg.de>.
  * Mention AM_MAINTAINER_MODE in README.Debian (closes: #117841)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu,  1 Nov 2001 16:37:48 -0200

autotools-dev (20011005.1) unstable; urgency=low

  * Sync to CVS 20011005 (config.sub 20011005; config.guess 20011005)
  * Seriously revamped README.Debian. It is now a general guide to properly
    using GNU autoconf/automake and GNU config in Debian packages. 
    *****READ IT*****
  * debian/crontrol: s/Build-Depends:/Build-Depends-Indep:/

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 12 Oct 2001 10:08:02 -0300

autotools-dev (20010914.1) unstable; urgency=low

  * Sync to CVS 20010914 (config.sub 20010914; config.guess 20010913)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 15 Sep 2001 20:08:09 -0300

autotools-dev (20010907.1) unstable; urgency=low

  * Sync to CVS 20010907 (config.sub 20010907; config.guess 20010904)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat,  8 Sep 2001 09:51:15 -0300

autotools-dev (20010809.1) unstable; urgency=low

  * Sync to CVS 20010809 (config.sub 20010802; config.guess 20010809)
    + config.guess: Detect Alpha ev68 on OSF/1 and Linux.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 11 Aug 2001 12:04:12 -0300

autotools-dev (20010804.1) unstable; urgency=low

  * Sync to CVS 20010804 (config.sub 20010802; config.guess 20010804)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat,  4 Aug 2001 13:42:05 -0300

autotools-dev (20010801.1) unstable; urgency=low

  * Sync to CVS 20010801 (config.sub 20010801; config.guess 20010731)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed,  1 Aug 2001 21:44:35 -0300

autotools-dev (20010719.1) unstable; urgency=low

  * Sync to CVS 20010719 (config.sub 20010608; config.guess 20010719)


=== debian/control ===
Source: autotools-dev
Section: devel
Priority: optional
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.4

Package: autotools-dev
Architecture: all
Description: Update infrastructure for config.{guess,sub} files
 This package installs an up-to-date (from CVS) version of config.guess
 and config.sub, used by the automake and libtool packages.  It provides
 the canonical copy of those files for other packages as well.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for autotools-dev
# GNU copyright 1997 to 1999 by Joey Hess & Henrique M. Holschuh
# $Id: rules,v 1.13 2002/02/24 12:17:27 hmh Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Version of the dh_autotools file
DHAVERSION=`sed -e '/[$$]Id: .*[$$]/! d' <dh_autotools |cut -f 3 -d ' '`

# Fetches new upstream from cvs. Depends: cvs devscripts.
# dch -v is used as new-version-detector: if it fails, there were no
# new updates to config/ChangeLog
cvsfetch:
	mkdir temp-cvs ; cd temp-cvs;\
	cvs -z 4 -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/config export -rHEAD config  ;\
	mv -f config/* ../config ;\
	cd .. ; rm -rf temp-cvs
	CVSVERSIONTAG=`head -1 config/ChangeLog | tr -d - | cut -f 1 -d ' '` ;\
	SUBDATE=`config/config.sub --time-stamp | tr -d -` ;\
	GUESSDATE=`config/config.guess --time-stamp | tr -d -` ;\
	dch -v "$${CVSVERSIONTAG}.1" \
	  "Sync to CVS $$CVSVERSIONTAG (config.sub $$SUBDATE; config.guess $$GUESSDATE)"

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-rm -rf temp-cvs
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install config/config.guess config/config.sub $(CURDIR)/debian/autotools-dev/usr/share/misc
	install debian/configurewrapper $(CURDIR)/debian/autotools-dev/usr/bin

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs
	install -D debian/changelog $(CURDIR)/debian/autotools-dev/usr/share/doc/autotools-dev/changelog.Debian
	install -D config/ChangeLog $(CURDIR)/debian/autotools-dev/usr/share/doc/autotools-dev/changelog
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure cvsfetch

## autotools-dev 20040312.1

=== debian/changelog ===
autotools-dev (20040312.1) unstable; urgency=low

  * Sync to CVS 20040312 (config.sub 20040312; config.guess 20040312)
  * Bump standards-version to 3.6.1 (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 15 May 2004 10:26:34 -0300

autotools-dev (20040211.1) unstable; urgency=low

  * Sync to CVS 20040211 (config.sub 20040211; config.guess 20040202)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 13 Feb 2004 08:23:41 -0200

autotools-dev (20040105.1) unstable; urgency=low

  * Sync to CVS 20040105 (config.sub 20040105; config.guess 20040105)
    + Handle amd64-*
  * Change debian/rules cvsfetch target to work with new sshv2-based
    anonymous checkout.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  9 Jan 2004 01:09:38 -0200

autotools-dev (20031007.1) unstable; urgency=high

  * Sync to CVS 20031007 (config.sub 20031007; config.guess 20031007)
  * Changes needed by the *BSD group

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue,  7 Oct 2003 10:08:04 -0300

autotools-dev (20030818.1) unstable; urgency=low

  * Sync to CVS 20030818 (config.sub 20030818; config.guess 20030818)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu,  4 Sep 2003 16:31:21 -0300

autotools-dev (20030717.1) unstable; urgency=low

  * Sync to CVS 20030717 (config.sub 20030717; config.guess 20030702)
    + New cris arch for Linux (welcome to the club, whatever it is)
    + Some fixes required/useful to Debian BSD (closes: #201329)
  * Change README.Debian for policy v3.6 (closes: #201874)
  * Bump standard version to 3.6.0

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 20 Jul 2003 12:54:21 -0300

autotools-dev (20030519.1) unstable; urgency=low

  * Sync to CVS 20030519 (config.sub 20030509; config.guess 20030519)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 21 May 2003 14:04:10 -0300

autotools-dev (20030509.1) unstable; urgency=low

  * Sync to CVS 20030509 (config.sub 20030509; config.guess 20030509)
  * GNU/FreeBSD changes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 10 May 2003 10:45:00 -0300

autotools-dev (20030222.1) unstable; urgency=low

  * Sync to CVS 20030222 (config.sub 20030222; config.guess 20030222)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 24 Feb 2003 12:24:00 -0300

autotools-dev (20030203.1) unstable; urgency=low

  * Sync to CVS 20030203 (config.sub 20030203; config.guess 20030130)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  7 Feb 2003 17:37:32 -0200

autotools-dev (20030110.1) unstable; urgency=low

  * Sync to CVS 20030110 (config.sub 20030103; config.guess 20030110)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 11 Jan 2003 18:47:49 -0200

autotools-dev (20021223.1) unstable; urgency=low

  * Sync to CVS 20021223 (config.sub 20021130; config.guess 20021223)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 30 Dec 2002 17:36:34 -0200

autotools-dev (20021211.1) unstable; urgency=low

  * Sync to CVS 20021211 (config.sub 20021130; config.guess 20021211)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 11 Dec 2002 16:32:51 -0200

autotools-dev (20021130.1) unstable; urgency=low

  * Sync to CVS 20021130 (config.sub 20021130; config.guess 20021130)
    + config.guess: Append "-gnu" to triplet on Debian/NetBSD systems.
    + config.sub: Recognise netbsd*-gnu*
    (closes: #161693)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  2 Dec 2002 00:48:50 -0200

autotools-dev (20021113.1) unstable; urgency=low

  * Sync to CVS 20021113 (config.sub 20021113; config.guess 20021113)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 14 Nov 2002 21:58:19 -0200

autotools-dev (20021021.1) unstable; urgency=low

  * Sync to CVS 20021021 (config.sub 20020905; config.guess 20021021)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 30 Oct 2002 10:06:34 -0300

autotools-dev (20020905.1) unstable; urgency=low

  * Sync to CVS 20020905 (config.sub 20020905; config.guess 20020903)
    + nothing really useful
  * Add GNU config upstream email address to copyright file

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 12 Oct 2002 17:22:06 -0300

autotools-dev (20020703.1) unstable; urgency=low

  * Sync to CVS 20020703 (config.sub 20020703; config.guess 20020709)
    + config.guess (set_cc_for_build): Create a chmod 700 directory in /tmp
      (or $TMPDIR, if set) to store temporary files generated for use by the
      C compiler (closes: #102154)
    + config.guess: For FreeBSD systems using glibc, add suffix "-gnu"
    + config.sub: Accept freebsd-gnu system name, handle freebsd*
  * DEBIAN *BSD GUYS: CONTACT GNU CONFIG UPSTREAM ABOUT THE DEBIAN *BSD
    REQUIREMENTS FOR GNU CONFIG ASAP!  DON'T COMPLAIN LATER, YOU HAVE BEEN
    WARNED, BOTH BY THIS LOG EMAILED TO YOU, AND DIRECTLY AT DEBCONF2!
  * Updated examples to use the symlink method, which works just as well as
    far as Debian is concerned, and reduces diff size a lot (and it is
    actually far better for maintenance)
  * Updated README to emphasize the symlink method, and also added warning
    about dch and fakeroot (closes: #151861)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 15 Jul 2002 13:40:45 -0300

autotools-dev (20020621.1) unstable; urgency=low

  * Sync to CVS 20020621 (config.sub 20020621; config.guess 20020529)
     + config.sub: Add support for sh[12], sh3e, sh[1234]le, sh3ele, shle,
       sh[1234]le, sh3ele.
     + config.sub: Accept sh64le and sh64le-*.
     + config.sub: Add Broadcom SiByte SB-1 processor support (mipsisa64sb1,
       mipsisa64sb1el).  Add little-endian variants of mipsisa32 and mipsisa64
       (mipsisa32el and mipsisa64el, respectively).  Sort MIPS entries and split
       their lines a bit more logically.  Make sure that all of the MIPS entries
       in the "without company name" target list are echoed in the "with company
       name" list.
     + config.guess: Don't use egrep, as POSIX 1003.1-2001 no longer requires
       egrep.  Use grep instead.


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.4
+Standards-Version: 3.6.1
 
 Package: autotools-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules file for autotools-dev
 # GNU copyright 1997 to 1999 by Joey Hess & Henrique M. Holschuh
-# $Id: rules,v 1.13 2002/02/24 12:17:27 hmh Exp $
+# $Id: rules,v 1.14 2004/01/09 03:10:34 hmh Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -16,8 +16,8 @@
 # dch -v is used as new-version-detector: if it fails, there were no
 # new updates to config/ChangeLog
 cvsfetch:
-	mkdir temp-cvs ; cd temp-cvs;\
-	cvs -z 4 -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/config export -rHEAD config  ;\
+	mkdir temp-cvs ; cd temp-cvs ;\
+	cvs -z 4 -d ":ext:anoncvs@savannah.gnu.org:/cvsroot/config" export -rHEAD config ;\
 	mv -f config/* ../config ;\
 	cd .. ; rm -rf temp-cvs
 	CVSVERSIONTAG=`head -1 config/ChangeLog | tr -d - | cut -f 1 -d ' '` ;\

## autotools-dev 20041130.2

=== debian/changelog ===
autotools-dev (20041130.2) unstable; urgency=high

  * Add missing testsuite/ files (doh!)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 24 Dec 2004 00:40:07 -0200

autotools-dev (20041130.1) unstable; urgency=low

  * Sync to CVS 20041130 (config.sub 20041130; config.guess 20041112)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 30 Nov 2004 12:49:35 -0200

autotools-dev (20041112.1) unstable; urgency=low

  * Sync to CVS 20041112 (config.sub 20041112; config.guess 20041112)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 15 Nov 2004 11:38:55 -0200

autotools-dev (20041025.1) unstable; urgency=low

  * Sync to CVS 20041025 (config.sub 20040829; config.guess 20041025)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 25 Oct 2004 12:40:06 -0300

autotools-dev (20040907.1) unstable; urgency=low

  * Sync to CVS 20040907 (config.sub 20040829; config.guess 20040907)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 28 Sep 2004 21:13:24 -0300

autotools-dev (20040822.1) unstable; urgency=high

  * Sync to CVS 20040822 (config.sub 20040624; config.guess 20040813)
    + No Linux or GNU/BSD changes
  * Explain how the automake and autoconf packages work, and how to get
    a sane build environment out of them
  * Mention the autotools best-practice documentation in the control file
  * Urgency high to get the updated docs into sarge.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 25 Aug 2004 11:16:13 -0300

autotools-dev (20040719.1) unstable; urgency=high

  * Sync to CVS 20040719 (config.sub 20040624; config.guess 20040719)
    + config.guess (*:FreeBSD:*:*): Remove check for glibc
      (unneeded since GNU/kFreeBSD systems match *:GNU/*:*:* instead)
  * Update README.Debian with proper cross-compiling info for autoconf2.13
    (closes: #262090).  The short version of it is: "don't".  See
    #262090 for a lot of data about the issue.
  * Update examples to hint that autoconf2.13 might screw the autogen.sh
    scripts, and one might want to build-conflict with it in a proper
    autotool build environment (i.e. one that uses automake 1.7+/autoconf
    2.58+/libtool 1.5.6+) packages, instead of the highly buggy earlier
    versions of those.
  * Update README according to Scott James Remnant's talk on new libtool and
    autotools:
    + Remove the code snipped that added notices to changelog that we updated
      config.sub/.guess.
    + Mention libtool.
  * Update GNU Savannah CVS access instructions in upstream mail template,
    since Savannah now uses "anonymous CVS over ssh access".

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun,  8 Aug 2004 16:35:37 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules file for autotools-dev
 # GNU copyright 1997 to 1999 by Joey Hess & Henrique M. Holschuh
-# $Id: rules,v 1.14 2004/01/09 03:10:34 hmh Exp $
+# $Id: rules,v 1.15 2004/12/24 02:37:46 hmh Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -18,6 +18,7 @@
 cvsfetch:
 	mkdir temp-cvs ; cd temp-cvs ;\
 	cvs -z 4 -d ":ext:anoncvs@savannah.gnu.org:/cvsroot/config" export -rHEAD config ;\
+	mv -f config/testsuite/* ../config/testsuite ; rm -fr config/testsuite ;\
 	mv -f config/* ../config ;\
 	cd .. ; rm -rf temp-cvs
 	CVSVERSIONTAG=`head -1 config/ChangeLog | tr -d - | cut -f 1 -d ' '` ;\

## autotools-dev 20050422.1

=== debian/changelog ===
autotools-dev (20050422.1) unstable; urgency=high

  * Sync to CVS 20050422 (config.sub 20050422; config.guess 20050422)
    + Adds support for linux-sparc64b, which might be important
  * Ship new upstream README file

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 24 Apr 2005 17:00:06 -0300

autotools-dev (20050324.2) unstable; urgency=low

  * Remove useless leftover dir /usr/bin (closes: #304486)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 13 Apr 2005 12:20:39 -0300

autotools-dev (20050324.1) unstable; urgency=high

  * The "last upload before the great freeze (I hope)" release
  * Sync to CVS 20050324 (config.sub 20050210; config.guess 20050324)
  * Remove configurewrapper, we are not going to use it anytime soon
    anyway... (closes: #281906)
  * README: Mention libtool and prefix overriding problem (see #302195)
  * README: Include \$${prefix} trick in automake2.13 hints (closes: #193873)
  * README: Add executive summary of packaging-with-automake/conf
    strategies (closes: #290607)
  * Update example autogen.sh and rules file to those in the HPLIP package,
    which are far more up-to-date and advanced

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat,  2 Apr 2005 08:14:20 -0300

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,8 @@
  This package installs an up-to-date (from CVS) version of config.guess
  and config.sub, used by the automake and libtool packages.  It provides
  the canonical copy of those files for other packages as well.
+ .
+ It also documents in /usr/share/doc/autotools-dev/README.Debian best
+ practices and guidelines for using autoconf, automake and friends on
+ Debian packages.  This is a must-read for any developers packaging
+ software that uses the GNU autotools, or GNU gettext.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules file for autotools-dev
 # GNU copyright 1997 to 1999 by Joey Hess & Henrique M. Holschuh
-# $Id: rules,v 1.15 2004/12/24 02:37:46 hmh Exp $
+# $Id: rules,v 1.16 2005/04/01 18:07:01 hmh Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -46,7 +46,6 @@
 	dh_installdirs
 
 	install config/config.guess config/config.sub $(CURDIR)/debian/autotools-dev/usr/share/misc
-	install debian/configurewrapper $(CURDIR)/debian/autotools-dev/usr/bin
 
 # Build architecture-dependent files here.
 binary-arch: build install

## autotools-dev 20050803.1

=== debian/changelog ===
autotools-dev (20050803.1) unstable; urgency=low

  * Sync to CVS 20050803 (config.sub 20050708; config.guess 20050803)
  * New standards version (3.6.2, no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 14 Aug 2005 00:51:00 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: autotools-dev
 Architecture: all

## autotools-dev 20060223.1

=== debian/changelog ===
autotools-dev (20060223.1) unstable; urgency=low

  * Sync to CVS 20060223 (config.sub 20060223; config.guess 20060223)
  * Update from new upstream repository
  * Switch to debhelper compatibility level V4
  * Revamp README.Debian a little: mention that --host and --build
    support is not optional, ever. Reword some paragraphs, etc.
  * Support get-orig-source target. Rename cvsfetch target to
    get-debian-source, and use get-orig-source

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 25 Feb 2006 12:24:25 -0300

autotools-dev (20051223.1) unstable; urgency=low

  * Sync to CVS 20051223 (config.sub 20051223; config.guess 20051223)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 28 Dec 2005 12:21:59 -0200

autotools-dev (20051213.1) unstable; urgency=low

  * Sync to CVS 20051213 (config.sub 20051211; config.guess 20051213)
  * debian/rules: Update cvsfetch target to new savanna cvs

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 21 Dec 2005 21:20:03 -0200

autotools-dev (20051113.1) unstable; urgency=low

  * Sync to CVS 20051113 (config.sub 20051113; config.guess 20051111)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 16 Nov 2005 19:04:36 -0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
+Build-Depends-Indep: debhelper (>> 4)
 Standards-Version: 3.6.2
 
 Package: autotools-dev

## autotools-dev 20060702.1

=== debian/changelog ===
autotools-dev (20060702.1) unstable; urgency=low

  * Sync to CVS 20060702 (config.sub 20060702; config.guess 20060702)
    (closes: #380479)
    + Important changes for SPARC4V
    + Support for avr32
  * Switch to debhelper compatibility level V5
  * Bump standards-version to 3.7.2 (no changes required)
  * Add .gz to README.Debian in description (closes: #357333)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 10 Aug 2006 12:13:13 -0300

=== debian/control ===
Source: autotools-dev
Section: devel
Priority: optional
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends-Indep: debhelper (>> 5)
Standards-Version: 3.7.2

Package: autotools-dev
Architecture: all
Description: Update infrastructure for config.{guess,sub} files
 This package installs an up-to-date (from CVS) version of config.guess
 and config.sub, used by the automake and libtool packages.  It provides
 the canonical copy of those files for other packages as well.
 .
 It also documents in /usr/share/doc/autotools-dev/README.Debian.gz
 best practices and guidelines for using autoconf, automake and
 friends on Debian packages.  This is a must-read for any developers
 packaging software that uses the GNU autotools, or GNU gettext.

## autotools-dev 20060920.1

=== debian/changelog ===
autotools-dev (20060920.1) unstable; urgency=high

  * Sync to CVS 20060920 (config.sub 20060920; config.guess 20060702)
  * README.Debian: add idea from Bill Allombert to exec the up-to-date
    config.sub/config.guess instead of replacing the old ones
  * Move debhelper to Build-Depends from Build-Depends-Indep. Thanks,
    lintian

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 12 Oct 2006 09:51:21 -0300

## autotools-dev 20070306.1

=== debian/changelog ===
autotools-dev (20070306.1) unstable; urgency=low

  * Sync to CVS 20070306 (config.sub 20070118; config.guess 20070306)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 19 Apr 2007 23:06:42 -0300

## autotools-dev 20070725.1

=== debian/changelog ===
autotools-dev (20070725.1) unstable; urgency=low

  * Sync to CVS 20070725 (config.sub 20070628; config.guess 20070722)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 17 Aug 2007 00:12:16 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends-Indep: debhelper (>> 5)
+Build-Depends: debhelper (>> 5)
 Standards-Version: 3.7.2
 
 Package: autotools-dev

## autotools-dev 20080123.1

=== config/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-SHELL=/usr/pkg/bin/bash
 UPLOAD=ftp://ftp-upload.gnu.org/incoming/ftp/
 
 all:

=== debian/changelog ===
autotools-dev (20080123.1) unstable; urgency=low

  * Sync to CVS 20080123 (config.sub 20080116; config.guess 20080123)
    + config.guess (arm*:Linux:*:*): Determine ABI in use.
    + config.sub (blackfin, blackfin-*, m68knommu, m68knommu-*, parisc,
      parisc-*): New Linux-specific aliases for conformity with Linux
      architecture names
  * Last upstream CVS release, next releases will be done through git
    (insert here a happy happy dance!)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 17 Feb 2008 17:07:52 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
 # debian/rules file for autotools-dev
 # GNU copyright 1997 to 1999 by Joey Hess & Henrique M. Holschuh
-# $Id: rules,v 1.16 2005/04/01 18:07:01 hmh Exp $
+# $Id: rules,v 1.19 2006-02-25 15:25:39 hmh Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 # Version of the dh_autotools file
 DHAVERSION=`sed -e '/[$$]Id: .*[$$]/! d' <dh_autotools |cut -f 3 -d ' '`
@@ -15,17 +12,23 @@
 # Fetches new upstream from cvs. Depends: cvs devscripts.
 # dch -v is used as new-version-detector: if it fails, there were no
 # new updates to config/ChangeLog
-cvsfetch:
-	mkdir temp-cvs ; cd temp-cvs ;\
-	cvs -z 4 -d ":ext:anoncvs@savannah.gnu.org:/cvsroot/config" export -rHEAD config ;\
-	mv -f config/testsuite/* ../config/testsuite ; rm -fr config/testsuite ;\
-	mv -f config/* ../config ;\
-	cd .. ; rm -rf temp-cvs
-	CVSVERSIONTAG=`head -1 config/ChangeLog | tr -d - | cut -f 1 -d ' '` ;\
-	SUBDATE=`config/config.sub --time-stamp | tr -d -` ;\
-	GUESSDATE=`config/config.guess --time-stamp | tr -d -` ;\
+get-debian-source:
+	( cd config && \
+	$(MAKE) -f ../debian/rules get-orig-source ) &&\
+	CVSVERSIONTAG=`head -1 config/ChangeLog | tr -d - | cut -f 1 -d ' '` &&\
+	SUBDATE=`config/config.sub --time-stamp | tr -d -` &&\
+	GUESSDATE=`config/config.guess --time-stamp | tr -d -` &&\
 	dch -v "$${CVSVERSIONTAG}.1" \
 	  "Sync to CVS $$CVSVERSIONTAG (config.sub $$SUBDATE; config.guess $$GUESSDATE)"
+
+# Fetches source from cvs into the current directory,
+# works even if it is a working copy
+get-orig-source:
+	mkdir temp-cvs && \
+	cvs -z 4 -d ":pserver:anonymous@cvs.sv.gnu.org:/cvsroot/config" export \
+		-rHEAD -d temp-cvs config && \
+	tar -cf - -C temp-cvs . | tar -xf - ;\
+	rm -rf temp-cvs
 
 build: build-stamp
 build-stamp:
@@ -83,4 +86,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure cvsfetch
+.PHONY: build clean binary-indep binary-arch binary install configure get-debian-source get-orig-source

## autotools-dev 20080123.2

=== debian/changelog ===
autotools-dev (20080123.2) unstable; urgency=low

  * Fix bashism in examples/autogen.sh (closes: #489539)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 07 Jul 2008 20:40:03 -0300

## autotools-dev 20090427.1

=== debian/changelog ===
autotools-dev (20090427.1) unstable; urgency=low

  * Sync to upstream git 2009-04-27 [93b5037172b15ad2]
  * debian/control:
    + Update the package description to not mention CVS
    + Add homepage field
    + Update to standards version 3.8.0
  * debian/copyright: add upstream's copyright line, and update for the
    git repository location
  * README.Debian: switch to the current best practice, which is to
    rebuild the build system completely on every build. Also, make it
    clear that config.sub and config.guess are to be refreshed on the
    build target prerequisites, and not on the clean target.
    (Closes: #482716)
  * debian/*: move some files to match a newer style of debhelper file
    naming.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 03 May 2009 20:23:53 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 5)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
+Homepage: http://savannah.gnu.org/projects/config/
 
 Package: autotools-dev
 Architecture: all
 Description: Update infrastructure for config.{guess,sub} files
- This package installs an up-to-date (from CVS) version of config.guess
- and config.sub, used by the automake and libtool packages.  It provides
+ This package installs an up-to-date version of config.guess and
+ config.sub, used by the automake and libtool packages.  It provides
  the canonical copy of those files for other packages as well.
  .
  It also documents in /usr/share/doc/autotools-dev/README.Debian.gz

## autotools-dev 20090611.1

=== debian/changelog ===
autotools-dev (20090611.1) unstable; urgency=low

  * Sync to upstream git 2009-06-11 [8e40fa5a8487dff4]
  * debian/control:
    + Add Vcs-* fields

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 23 Jul 2009 17:31:03 -0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: debhelper (>> 5)
 Standards-Version: 3.8.0
 Homepage: http://savannah.gnu.org/projects/config/
+Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
+Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git
 
 Package: autotools-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for autotools-dev
# GNU copyright 1997 to 1999 by Joey Hess & Henrique M. Holschuh
# $Id: rules,v 1.19 2006-02-25 15:25:39 hmh Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Version of the dh_autotools file
DHAVERSION=`sed -e '/[$$]Id: .*[$$]/! d' <dh_autotools |cut -f 3 -d ' '`

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install config.guess config.sub $(CURDIR)/debian/autotools-dev/usr/share/misc

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs
	install -D debian/changelog $(CURDIR)/debian/autotools-dev/usr/share/doc/autotools-dev/changelog.Debian
	install -D ChangeLog $(CURDIR)/debian/autotools-dev/usr/share/doc/autotools-dev/changelog
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-debian-source get-orig-source

## autotools-dev 20100122.1~nd09.10+1

=== debian/changelog ===
autotools-dev (20100122.1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 30 Dec 2010 19:36:24 -0500

autotools-dev (20100122.1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Update reference URL in upstream.mail.template (closes: #559424)
  * control: add misc:Depends dependency to the binary package (lintian)
  * Add debhelper helpers, and update CDBS information:
    + Add new dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
      commands to be used within debhelper. Also add a debhelper addon so that
      the dh command can update and restore config.{guess,sub} files with a
      simple "dh --with autotools_dev $@" in the tiny rules file provided by
      debhelper 7 (closes: #527581)
    + Add Build-Depends-Indep on perl for pod2man and man page generation of
      new dh_autotools-dev_* commands
    + Document in README.Debian that CDBS updates config.{guess,sub}
      automatically (closes: #544893)
    + Add "Enhances: cdbs, debhelper" in debian/control

  [ Henrique de Moraes Holschuh ]
  * Sync to upstream git 2010-01-22 [e69eddec0ed7f65cdc4318bdc9eb149200b7c0c3]

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 06 Mar 2010 10:02:41 -0300

## autotools-dev 20100122.1~nd10.04+1

=== debian/changelog ===
autotools-dev (20100122.1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 30 Dec 2010 19:34:18 -0500

## autotools-dev 20100122.1~nd10.10+1

=== debian/changelog ===
autotools-dev (20100122.1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 30 Dec 2010 19:32:15 -0500

## autotools-dev 20100122.1~nd50+1

=== debian/changelog ===
autotools-dev (20100122.1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 30 Dec 2010 19:27:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: autotools-dev
 Section: devel
 Priority: optional
-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 5)
+Build-Depends-Indep: perl
 Standards-Version: 3.8.0
 Homepage: http://savannah.gnu.org/projects/config/
 Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
@@ -10,6 +12,8 @@
 
 Package: autotools-dev
 Architecture: all
+Depends: neurodebian-popularity-contest, ${misc:Depends}
+Enhances: cdbs, debhelper
 Description: Update infrastructure for config.{guess,sub} files
  This package installs an up-to-date version of config.guess and
  config.sub, used by the automake and libtool packages.  It provides
@@ -19,3 +23,7 @@
  best practices and guidelines for using autoconf, automake and
  friends on Debian packages.  This is a must-read for any developers
  packaging software that uses the GNU autotools, or GNU gettext.
+ .
+ Additionally this package provides seamless integration into Debhelper
+ or CDBS, allowing maintainers to easily update config.{guess,sub} files
+ in their packages.

## autotools-dev 20100122.1~nd60+1

=== debian/changelog ===
autotools-dev (20100122.1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 30 Dec 2010 19:29:03 -0500

## autotools-dev 20100122.1

=== Makefile ===
all:

check:
	cd testsuite && (sh config-sub.sh; sh config-guess.sh) && rm uname

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: autotools-dev
 Section: devel
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 5)
 Build-Depends-Indep: perl
 Standards-Version: 3.8.0
@@ -12,7 +11,7 @@
 
 Package: autotools-dev
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Enhances: cdbs, debhelper
 Description: Update infrastructure for config.{guess,sub} files
  This package installs an up-to-date version of config.guess and

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,14 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+	pod2man -c Debhelper debian/dh_autotools-dev_updateconfig  debian/dh_autotools-dev_updateconfig.1
+	pod2man -c Debhelper debian/dh_autotools-dev_restoreconfig debian/dh_autotools-dev_restoreconfig.1
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+	-rm -f debian/dh_autotools-dev_updateconfig.1 debian/dh_autotools-dev_restoreconfig.1
 	-rm -f build-stamp
 	dh_clean
 
@@ -27,6 +30,8 @@
 	dh_installdirs
 
 	install config.guess config.sub $(CURDIR)/debian/autotools-dev/usr/share/misc
+	install debian/dh_autotools-dev_updateconfig debian/dh_autotools-dev_restoreconfig $(CURDIR)/debian/autotools-dev/usr/bin
+	install debian/autotools_dev.pm $(CURDIR)/debian/autotools-dev/usr/share/perl5/Debian/Debhelper/Sequence
 
 # Build architecture-dependent files here.
 binary-arch: build install

## autotools-dev 20110511.1

=== debian/changelog ===
autotools-dev (20110511.1) unstable; urgency=low

  * Sync to upstream git 2011-05-11
    [commit 0783756885327f171aab844db8ad331b8586ed62]
    + Add support for armhf (closes: #626101)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 11 May 2011 04:41:20 -0300

autotools-dev (20110508.1) unstable; urgency=low

  * Sync to upstreqam git 2011-05-08
    [commit 626f5d2f5ee2e5effe8a4671cc9b223c2dc1148d]
  * Update examples for dh_autotools-dev_restoreconfig and
    dh_autotools-dev_updateconfig, to dh $@ --with foo (closes: #602773)
  * Bump standards-version to 3.9.1 (no changes)
  * Remove editor junk from the end of the Debian changelog
  * Update to debhelper mode v7
  * Update example "ask upstream to update GNU config" mail template:
    + Wrap at 74 characters
    + Upstream GNU config now uses git...

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 08 May 2011 19:44:58 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>> 5)
+Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: perl
-Standards-Version: 3.8.0
+Standards-Version: 3.9.1
 Homepage: http://savannah.gnu.org/projects/config/
 Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
 Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	install config.guess config.sub $(CURDIR)/debian/autotools-dev/usr/share/misc
@@ -54,9 +54,7 @@
 	dh_installman
 #	dh_installinfo
 #	dh_undocumented
-#	dh_installchangelogs
-	install -D debian/changelog $(CURDIR)/debian/autotools-dev/usr/share/doc/autotools-dev/changelog.Debian
-	install -D ChangeLog $(CURDIR)/debian/autotools-dev/usr/share/doc/autotools-dev/changelog
+	dh_installchangelogs ChangeLog
 	dh_strip
 	dh_compress
 	dh_fixperms

## autotools-dev 20120210.1

=== debian/changelog ===
autotools-dev (20120210.1) unstable; urgency=high

  * Sync to upstream git 2012-02-13
    [commit d6f39afaf50f884f62a6f6c04d5057884a098a4f]
    + ARM 64bit ABI support (aarch64)
  * Set urgency to high by request of Jonathan Austin (ARM), to start
    the GNU config bootstrap of the new arch in Debian and Ubuntu ASAP
  * Update README.Debian:
    + Rework time-stamp skew build problems section.  Note that dpkg enforces
      limited sanity on package unpack, but that does not cover all
      possibilities of inducing time-stamp skew breakage (closes: #589083)
    + Some minor rewording and fixes.  This document really could use a 
      rewrite...
    + Mention to dh-autoreconf and the autotools-dev dh helpers in the main
      text.  Mention that CDBS takes care of certain details automatically,
      and to not use dh-autoreconf and dh-autotools-dev* at the same time.
      Mention the brilliant dpkg-source "extend-diff-ignore" option to keep
      the diffs clean (closes: #615894)
  * Remove extremely outdated examples.  Patches with new ones are welcome!
  * debian/rules:
    + remove ancient cruft and update copyright
    + add build-arch and build-indep targets
  * debian/control: bump standards-version to 3.9.2 (no changes)
  * debian/copyright: move from autotools-dev.copyright, and update for 2012

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 13 Feb 2012 21:25:55 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://savannah.gnu.org/projects/config/
 Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
 Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git

## autotools-dev 20120210.1ubuntu1

=== debian/changelog ===
autotools-dev (20120210.1ubuntu1) precise; urgency=low

  * Mark autotools-dev Multi-Arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Mar 2012 13:28:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: autotools-dev
 Section: devel
 Priority: optional
-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: perl
 Standards-Version: 3.9.2
@@ -11,6 +12,7 @@
 
 Package: autotools-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: cdbs, debhelper
 Description: Update infrastructure for config.{guess,sub} files

## autotools-dev 20120608.1

=== Makefile ===
all:

check:
	cd testsuite && (sh config-guess.sh; sh config-sub.sh) && rm uname

=== debian/changelog ===
autotools-dev (20120608.1) unstable; urgency=medium

  * Upstream release packed for maemo

 -- Christian Weniger <less_to_space@web.de>  Wed, 11 Sep 2019 12:48:45 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: autotools-dev
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 7)
-Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Build-Depends-Indep: perl, man-db
+Standards-Version: 3.9.3
 Homepage: http://savannah.gnu.org/projects/config/
 Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
 Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git

## autotools-dev 20130810.1

=== Makefile ===
all:

check: check-guess check-sub

check-guess:
	cd testsuite && sh config-guess.sh && rm uname

check-sub:
	cd testsuite && sh config-sub.sh

=== debian/changelog ===
autotools-dev (20130810.1) unstable; urgency=low

  * Sync to upstream git 2013-08-10 (closes: #719272)
    [commit 6ce9fc8a12ad86d2ab6a56694998905b5b75e490]
    + Add support for ppc64le, ppcle

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 10 Aug 2013 09:23:55 -0300

autotools-dev (20130515.1) unstable; urgency=low

  [ Henrique de Moraes Holschuh ]
  * Sync to upstream git 2013-05-15 (closes: #709748)
    [commit 20f0b7ebd0a4b44c00f6ecff0115539768f26f48]
    + Switch license to GPLv3 with exception
    + Detect and use -uclibc suffix for uClibc targets on i*86 and x86_64
    + handle armv6/v7/v8 targets
    + new targets: linux-musl*, microblazeel, or1k:Linux, arc:Linux, arceb:Linux
    + s390:Linux:*, switch to -gnu and -uclibc suffixes
  * dh_autotools-dev: better shell escaping and clean behaviour
  * debian/copyright: update to GPLv3 with exception
  * NEWS.Debian: note the license change and autoconf-restricted exception

  [ Raúl Benencia ]
  * README.Debian: fix typo (closes: #699391)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 30 May 2013 20:28:51 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 7)
-Build-Depends-Indep: perl, man-db
+Build-Depends-Indep: perl
 Standards-Version: 3.9.3
 Homepage: http://savannah.gnu.org/projects/config/
 Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
